Package com.saxonica.ee.jaxp

## Class SchemaReference

- java.lang.Object
- - javax.xml.validation.Schema
  - - com.saxonica.ee.jaxp.SchemaReference

-     public class SchemaReference
      extends javax.xml.validation.Schema

  A reference to a Saxon prepared schema. This is a wrapper around the Saxon PreparedSchema class; the wrapper implements the JAXP Schema interface and thus allows a Saxon schema to be used via the JAXP validation API.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchemaReference​(PreparedSchema schema)` | Create a SchemaReference to wrap a supplied PreparedSchema object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PreparedSchema` | `getPreparedSchema()` | Get the PreparedSchema object wrapped by this SchemaReference
    `javax.xml.validation.Validator` | `newValidator()` | Create a new `Validator` for this `Schema`.
    `javax.xml.validation.ValidatorHandler` | `newValidatorHandler()` | Creates a new `ValidatorHandler` for this `Schema`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaReference

          public SchemaReference​(PreparedSchema schema)

      Create a SchemaReference to wrap a supplied PreparedSchema object
      Parameters:
        `schema` - the PreparedSchema to be wrapped

  - ### Method Detail

    - #### getPreparedSchema

          public PreparedSchema getPreparedSchema()

      Get the PreparedSchema object wrapped by this SchemaReference
      Returns:
        the PreparedSchema object, which gives access to the schema components

    - #### newValidator

          public javax.xml.validation.Validator newValidator()

      Create a new `Validator` for this `Schema`.

      A validator enforces/checks the set of constraints this object represents.

      Specified by:
        `newValidator` in class `javax.xml.validation.Schema`
      Returns:
        Always return a non-null valid object.

    - #### newValidatorHandler

          public javax.xml.validation.ValidatorHandler newValidatorHandler()

      Creates a new `ValidatorHandler` for this `Schema`.
      Specified by:
        `newValidatorHandler` in class `javax.xml.validation.Schema`
      Returns:
        Always return a non-null valid object.